# `typing-aliases`

[![License][License Badge]][License]
[![Version][Version Badge]][Package]
[![Downloads][Downloads Badge]][Package]
[![Discord][Discord Badge]][Discord]

[![Documentation][Documentation Badge]][Documentation]
[![Check][Check Badge]][Actions]

> *Various type aliases.*

## Installing

**Python 3.8 or above is required.**

### pip

Installing the library with `pip` is quite simple:

```console
$ pip install typing-aliases
```

Alternatively, the library can be installed from source:

```console
$ git clone https://github.com/nekitdev/typing-aliases.git
$ cd typing-aliases
$ python -m pip install .
```

### poetry

You can add `typing-aliases` as a dependency with the following command:

```console
$ poetry add typing-aliases
```

Or by directly specifying it in the configuration like so:

```toml
[tool.poetry.dependencies]
typing-aliases = "^1.3.1"
```

Alternatively, you can add it directly from the source:

```toml
[tool.poetry.dependencies.typing-aliases]
git = "https://github.com/nekitdev/typing-aliases.git"
```

## Documentation

You can find the documentation [here][Documentation].

## Support

If you need support with the library, you can send an [email][Email]
or refer to the official [Discord server][Discord].

## Changelog

You can find the changelog [here][Changelog].

## Security Policy

You can find the Security Policy of `typing-aliases` [here][Security].

## Contributing

If you are interested in contributing to `typing-aliases`, make sure to take a look at the
[Contributing Guide][Contributing Guide], as well as the [Code of Conduct][Code of Conduct].

## License

`typing-aliases` is licensed under the MIT License terms. See [License][License] for details.

[Email]: mailto:support@nekit.dev

[Discord]: https://nekit.dev/discord

[Actions]: https://github.com/nekitdev/typing-aliases/actions

[Changelog]: https://github.com/nekitdev/typing-aliases/blob/main/CHANGELOG.md
[Code of Conduct]: https://github.com/nekitdev/typing-aliases/blob/main/CODE_OF_CONDUCT.md
[Contributing Guide]: https://github.com/nekitdev/typing-aliases/blob/main/CONTRIBUTING.md
[Security]: https://github.com/nekitdev/typing-aliases/blob/main/SECURITY.md

[License]: https://github.com/nekitdev/typing-aliases/blob/main/LICENSE

[Package]: https://pypi.org/project/typing-aliases
[Documentation]: https://nekitdev.github.io/typing-aliases

[Discord Badge]: https://img.shields.io/badge/chat-discord-5865f2
[License Badge]: https://img.shields.io/pypi/l/typing-aliases
[Version Badge]: https://img.shields.io/pypi/v/typing-aliases
[Downloads Badge]: https://img.shields.io/pypi/dm/typing-aliases

[Documentation Badge]: https://github.com/nekitdev/typing-aliases/workflows/docs/badge.svg
[Check Badge]: https://github.com/nekitdev/typing-aliases/workflows/check/badge.svg
